# Retrieve a delivery adjustment Retrieves a Delivery Adjustment object. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/delivery-adjustments/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Path parameters: - `key` (string, required) ID or number of the delivery adjustment. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields include: - id - adjustmentnumber - creditmemonumber - creditmemoid - debitmemonumber - segmentid - chargeid - chargenumber - subscriptionid - subscriptionnumber - originalsubid - accountid - invoiceowneraccountid - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. - `filter[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields include: - id - adjustmentnumber - creditmemonumber - creditmemoid - debitmemonumber - segmentid - chargeid - chargenumber - subscriptionid - subscriptionnumber - originalsubid - accountid - invoiceowneraccountid - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the delivery adjustment. - `createdById` (string) The unique identifier of the user who created the delivery adjustment. - `createdDate` (string) The date and time when the delivery adjustment was created. - `updatedById` (string) The unique identifier of the user who last updated the delivery adjustment. - `updatedDate` (string) The date and time when the delivery adjustment was last updated. - `adjustmentNumber` (string) The system-generated delivery adjustment number. - `creditMemoNumber` (string) Number of the credit memo generated for the delivery adjustment. - `debitMemoNumber` (string) The Debit Memo generated to write off the Credit Memo for the delivery adjustment. - `creditMemoId` (string) The ID of the credit memo generated for the delivery adjustment. - `segmentId` (string) The ID of the segment on the subscription for which the delivery adjustment is created. - `chargeId` (string) The charge ID in the subscription for which the delivery adjustment is created. - `chargeNumber` (string) The charge number in the subscription for which the delivery adjustment is created. - `subscriptionId` (string) The ID of the subscription for which the delivery adjustment is created. - `subscriptionNumber` (string) The number of the subscription for which the delivery adjustment is created. - `originalSubId` (string) The original subscription ID. - `status` (string) The status of the delivery adjustment. Enum: "Billed", "Cancelled" - `numberOfDeliveries` (number) The total number of all delivery adjustments. - `amountPerUnit` (number) The actual charged amount per unit for the delivery adjustment. - `amount` (number) The amount of the delivery adjustment. - `date` (string) The delivery adjustment date, in yyyy-mm-dd format. - `deliveryDay` (string) The delivery adjustment day of the week. - `reason` (string) The reason for the delivery adjustment. - `type` (string) The type of delivery adjustment. Enum: "DeliveryCredit" - `accountId` (string) The ID of the account who owns the delivery adjustment. - `invoiceOwnerAccountId` (string) The account ID of the invoice owner who owns the delivery adjustment. - `accountingCode` (string) The accounting code associated with the delivery adjustment. - `deferredAccountingCode` (string) The accounting code for the deferred revenue, such as Monthly Recurring Liability. Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge. - `recognizedRevenueAccountingCode` (string) The accounting code for the recognized revenue, such as Monthly Recurring Charges or Overage Charges. Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge. - `revenueRecognitionRuleName` (string) The name of the revenue recognition rule governing the revenue schedule. Note: For the credit memo generated by the delivery adjustment, if this field is not specified, the value inherits from the subscription rate plan charge. - `billingDate` (string) The billing date is same as the delivery date of the delivery adjustment, in yyyy-mm-dd format. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.